Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515095 - SELinux is preventing logger from 'read' accesses on the lnk_file log.
Summary: SELinux is preventing logger from 'read' accesses on the lnk_file log.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a86db3be868930ed6676466bd52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 07:11 UTC by Kazuo Moriwaka
Modified: 2017-12-19 21:33 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-260.17.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 21:33:00 UTC


Attachments (Terms of Use)

Description Kazuo Moriwaka 2017-11-20 07:11:59 UTC
Description of problem:
SELinux is preventing logger from 'read' accesses on the lnk_file log.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that logger should be allowed read access on the log lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'logger' --raw | audit2allow -M my-logger
# semodule -X 300 -i my-logger.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmlogger_t:s0
Target Context                system_u:object_r:devlog_t:s0
Target Objects                log [ lnk_file ]
Source                        logger
Source Path                   logger
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.14.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.13-300.fc27.x86_64 #1 SMP Wed
                              Nov 15 15:47:50 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-11-20 16:10:28 JST
Last Seen                     2017-11-20 16:10:28 JST
Local ID                      aba7048d-dac3-4bb3-b98c-3542fa6d9e2b

Raw Audit Messages
type=AVC msg=audit(1511161828.982:316): avc:  denied  { read } for  pid=11602 comm="logger" name="log" dev="devtmpfs" ino=1467 scontext=system_u:system_r:pcp_pmlogger_t:s0 tcontext=system_u:object_r:devlog_t:s0 tclass=lnk_file permissive=0


Hash: logger,pcp_pmlogger_t,devlog_t,lnk_file,read

Version-Release number of selected component:
selinux-policy-3.13.1-283.14.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.13-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1512367

Comment 1 Fedora Update System 2017-11-20 09:10:08 UTC
selinux-policy-3.13.1-260.16.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 2 Fedora Update System 2017-11-21 16:23:30 UTC
selinux-policy-3.13.1-260.17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 3 Fedora Update System 2017-11-22 11:08:03 UTC
selinux-policy-3.13.1-260.17.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 4 Fedora Update System 2017-12-19 21:33:00 UTC
selinux-policy-3.13.1-260.17.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.